# log4cplus::TraceLogger Class Reference

This class is used to produce "Trace" logging. More...

`#include <logger.h>`

Collaboration diagram for log4cplus::TraceLogger:

[legend]
List of all members.

## Public Member Functions

| TraceLogger (const Logger &l, const log4cplus::tstring &_msg, const char *_file=NULL, int _line=-1)
| ~TraceLogger ()

## Detailed Description

This class is used to produce "Trace" logging.

When an instance of this class is created, it will log a `"ENTER: " + msg` log message if TRACE_LOG_LEVEL is enabled for `logger`. When an instance of this class is destroyed, it will log a `"ENTER: " + msg` log message if TRACE_LOG_LEVEL is enabled for `logger`.

See also:
  LOG4CPLUS_TRACE

Definition at line 315 of file logger.h.

## Constructor & Destructor Documentation

log4cplus::TraceLogger::TraceLogger | ( | const Logger & | l,
|  | const log4cplus::tstring & | _msg,
|  | const char * | _file = NULL,
|  | int | _line = -1
| ) | `[inline]`

| Definition at line 317 of file logger.h. References LOG4CPLUS_TEXT, and log4cplus::TRACE_LOG_LEVEL.

log4cplus::TraceLogger::~TraceLogger | ( |  | ) | `[inline]`

| Definition at line 324 of file logger.h. References LOG4CPLUS_TEXT, and log4cplus::TRACE_LOG_LEVEL.

The documentation for this class was generated from the following file:

- logger.h